CVE-2020-23273

NameCVE-2020-23273
DescriptionHeap-buffer overflow in the randomize_iparp function in edit_packet.c. of Tcpreplay v4.3.2 allows attackers to cause a denial of service (DOS) via a crafted pcap.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tcpreplay (PTS)stretch3.4.4-3vulnerable
buster4.3.1-1vulnerable
bullseye4.3.3-2fixed
bookworm, sid4.3.4-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tcpreplaysource(unstable)4.3.3-1unimportant

Notes

https://github.com/appneta/tcpreplay/issues/579
Fixed in: https://github.com/appneta/tcpreplay/pull/588
Fixed by: https://github.com/appneta/tcpreplay/commit/314ae7d70aa7630dc17dfdb06edacb131fa8fa99 (v4.3.3-beta1)
Crash in CLI tool, no security impact

Search for package or bug name: Reporting problems